CVE-2023-4237

NameCVE-2023-4237
DescriptionA flaw was found in the Ansible Automation Platform. When creating a new keypair, the ec2_key module prints out the private key directly to the standard output. This flaw allows an attacker to fetch those keys from the log files, compromising the system's confidentiality, integrity, and availability.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs1055300

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
ansible (PTS)buster2.7.7+dfsg-1+deb10u1vulnerable
buster (security)2.7.7+dfsg-1+deb10u2vulnerable
bullseye2.10.7+merged+base+2.10.8+dfsg-1vulnerable
bookworm7.3.0+dfsg-1vulnerable
trixie9.5.1+dfsg-1fixed
sid10.0.1+dfsg-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
ansiblesource(unstable)9.4.0+dfsg-11055300

Notes

[bookworm] - ansible <no-dsa> (Minor issue)
[bullseye] - ansible <no-dsa> (Minor issue)
[buster] - ansible <no-dsa> (Minor issue)
https://bugzilla.redhat.com/show_bug.cgi?id=2229979
https://github.com/advisories/GHSA-ww3m-ffrm-qvqv
https://github.com/ansible-collections/amazon.aws/pull/1704
Fixed by: https://github.com/ansible-collections/amazon.aws/commit/1a077fb3a15241db8964dc086d3b15370bbd1e4a (7.0.0)

Search for package or bug name: Reporting problems